% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gradient.R
\name{grad}
\alias{grad}
\title{Compute get gradient of `L(V)` given a dataset `X`.}
\usage{
grad(X, Y, V, h, loss.out = FALSE, loss.only = FALSE,
  persistent = FALSE)
}
\arguments{
\item{X}{Data matrix.}

\item{Y}{Responce.}

\item{V}{Position to compute the gradient at, aka point on Stiefl manifold.}

\item{h}{Bandwidth}

\item{loss.out}{Iff \code{TRUE} loss will be written to parent environment.}

\item{loss.only}{Boolean to only compute the loss, of \code{TRUE} a single
value loss is returned and \code{envir} is ignored.}

\item{persistent}{Determines if data indices and dependent calculations shall
be reused from the parent environment. ATTENTION: Do NOT set this flag, only
intended for internal usage by carefully aligned functions!}
}
\description{
Compute get gradient of `L(V)` given a dataset `X`.
}
\keyword{internal}
